%define upstream_name CSS-DOM
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Summary:    Document Object Model for Cascading Style Sheets
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SP/SPROUT/%{upstream_name}-%{upstream_version}.tar.gz
# Remove apostrophe as package separator - it is deprecated in 5.37.9 and
# will be removed by 5.40. CPAN RT#146661
Patch0:     CSS-DOM-0.17-Dont-use-deprecated-code.patch

BuildRequires: perl(Carp) >= 1.10.0
BuildRequires: perl(Clone) >= 0.90.0
BuildRequires: perl(Encode) >= 2.100.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(constant) >= 1.30.0
BuildRequires: perl(overload)
BuildRequires: perl(re)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Dependencies not detected automatically:
Requires:   perl(Clone) >= 0.09
Requires:   perl(Encode) >= 2.10
%{?perl_default_filter}

%description
This set of modules provides the CSS-specific interfaces described in
the W3C DOM recommendation.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/%{perl_vendorlib}/*

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%license LICENSE
%{perl_vendorlib}/CSS/
%{_mandir}/man3/CSS::DOM*.3*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.170.0-6.mga10
+ Revision: 2235169
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 0.170.0-5.mga10
+ Revision: 2143805
- add fedora patch to fix build

* Sun Mar 20 2022 umeabot <umeabot> 0.170.0-4.mga9
+ Revision: 1808344
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-3.mga8
+ Revision: 1503500
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-2.mga7
+ Revision: 1281883
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 0.170.0-1.mga7
+ Revision: 1204914
- update to 0.17

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1024709
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 923559
- update to 0.16

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 748453
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-3.mga5
+ Revision: 733006
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-2.mga5
+ Revision: 683710
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 sander85 <sander85> 0.150.0-1.mga5
+ Revision: 636611
- Use upstream_name & upstream_version

* Sat Oct 19 2013 umeabot <umeabot> 0.15-2.mga4
+ Revision: 530406
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 dams <dams> 0.15-1.mga4
+ Revision: 457568
- add %%group
- fix %%release
- imported package perl-CSS-DOM

